<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    xmlns:sv="http://typo3.org/ns/T3graf/Smartverein/ViewHelpers"
    xmlns:core="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">
<f:for each='{members}' as='member'>
    <f:comment>Value mappers</f:comment>
    {f:if(condition: i.isLast, then: '{section.title}', else: '{section.title}, ') -> f:for(each: '{member.sections}', as: 'section', iteration: 'i')-> f:variable(name: 'memberSections')}
    {f:if(condition: i.isLast, then: '{function.title}', else: '{function.title}, ') -> f:for(each: '{member.functions}', as: 'function', iteration: 'i')-> f:variable(name: 'memberFunctions')}
    {f:if(condition: i.isLast, then: '{position.title}', else: '{position.title}, ') -> f:for(each: '{member.positions}', as: 'position', iteration: 'i')-> f:variable(name: 'memberPositions')}
    {f:if(condition: i.isLast, then: '{role.title}', else: '{role.title}, ') -> f:for(each: '{member.role}', as: 'role', iteration: 'i')-> f:variable(name: 'memberRole')}
    {f:if(condition: i.isLast, then: '{belongsto.firstname} {belongsto.lastname}', else: '{belongsto.firstname} {belongsto.lastname}, ') -> f:for(each: '{member.belongsto}', as: 'belongsto', iteration: 'i')-> f:variable(name: 'memberBelongsto')}
    {f:if(condition: i.isLast, then: '{memberFee.title}', else: '{memberFee.title}, ') -> f:for(each: '{member.memberFee}', as: 'memberFee', iteration: 'i')-> f:variable(name: 'memberFees')}
    {f:translate(key: 'LLL:EXT:smartverein/Resources/Private/Language/locallang_db.xlf:salutation.item.{member.salutation}')-> f:variable(name: 'memberSalutation')}
    {f:translate(key: 'LLL:EXT:smartverein/Resources/Private/Language/locallang_db.xlf:preferred_communication.item.{member.preferredCommunication}')-> f:variable(name: 'memberPreferredCommunication')}
    {f:translate(key: 'LLL:EXT:smartverein/Resources/Private/Language/locallang_db.xlf:method_of_payment.item.{member.methodOfPayment}')-> f:variable(name: 'memberMethodOfPayment')}
    {f:translate(key: 'LLL:EXT:smartverein/Resources/Private/Language/locallang_db.xlf:payment_interval.item.{member.paymentInterval}')-> f:variable(name: 'memberPaymentInterval')}
<sv:get.memberType memberType="{member.memberType}"/>;<sv:get.gender gender="{member.gender}" />;{member.title};{member.firstname};{member.lastname};<f:format.date format="d.m.Y">{member.dateofbirth}</f:format.date>;<sv:get.status status="{member.status}"/>;{member.memberId};<f:format.date format="d.m.Y">{member.entryDate}</f:format.date>;<f:format.date format="d.m.Y">{member.leavingDate}</f:format.date>;{memberSections};{memberFunctions};{memberPositions};{memberRole};{member.street};{member.additionToAddress};{member.zip};{member.city};<sv:get.state uid="{member.state}"/>;<sv:get.country uid="{member.country}"/>;{member.organisation};{member.contactPerson};{member.position};{member.department};{memberSalutation};{memberPreferredCommunication};{member.email};{member.phone};{member.mobile};{member.fax};{member.website};{memberBelongsto};{memberMethodOfPayment};{memberFees};{memberPaymentInterval};{member.accountOwner};{member.iban};{member.bic};{member.mandate_reference};<f:format.date format="d.m.Y">{member.mandate_date}</f:format.date>
</f:for>
</html>

